OGR provider returns an empty set for GPKG uniqueValues(0)

2019-02-19 02:13 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider/OGR

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29129

Description

... and issues 

ERROR 1: Invalid index : 0

Associated revisions

Revision 1689c936 - 2019-02-19 02:48 PM - Alessandro Pasotti

Fix unique values on GPKG pk

Fixes #21311

History

#1 - 2019-02-19 02:13 PM - Alessandro Pasotti

- Subject changed from OGR provider return an empty set for GPKG uniqueValues(0) to OGR provider returns an empty set for GPKG uniqueValues(0)

#2 - 2019-02-19 03:30 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

Fixed in https://github.com/qgis/QGIS/pull/9203 , for SQLite (ogr) too

#3 - 2019-02-21 08:30 AM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|1689c9364b995dd1b5a2723eab66f1af0b4e92a9.
https://github.com/qgis/QGIS/pull/9203

